Subject: RE: Delivery Status Notification (Failure)

From: "Randall S. Becker" <[email-masked]>
Date: Mon, 18 Feb 2019 11:12:49 -0500

On February 18, 2019 5:47, Senol Yazici
> I just stumbled over following page
> 
> https://git-scm.com/about/distributed
> 
> and was wondering if it is possible to
> 
> - demilitarise that “dictator/lieutenant” thing and
> - de-religionise that “blessed” thing
> 
> I did not had the feeling that git is “pro military”, or is against “non religious”
> developers/users.

I think there is a point here. In some of my customers, we have replaced these terms with the following (the Repository is optional in the second two):

* Blessed: Repository of Record
* Dictator: Committer [Repository]
* Lieutenant: Contributor [Repository]

This seems more closely aligned with the real roles being applied to activities associated with the repositories involved.

Taking a lesson from other Open Source projects, Jenkins has deprecated Master/Slave in favour of Controller/Agent. This seems not only more acceptable to some, but in my view more descriptive. The terms on the page above do not actually make any descriptive sense to a newbie. And confusion could ensue from the dictionary definitions:

* Lieutenant: an aide or representative of another in the performance of duty : assistant (not what that repository is for)
* Dictator: one holding complete autocratic control : a person with unlimited governmental power (not how the git team behaves)
* Blessed: honored in worship : hallowed; of or enjoying happiness (although I can see the happiness part of this one)

Regards,
Randall